%global gitdate 20231002
%global gitversion d6e6b99b

Name:       aemu
Version:    0.1.2
Release:    1.%{gitdate}git%{gitversion}%{?dist}

Summary:    Android emulator library
License:    Apache-2.0
URL:        https://android.googlesource.com/platform/hardware/google/aemu

#VCS: https://android.googlesource.com/platform/hardware/google/aemu
# git snapshot.  to recreate, run:
# ./make-git-snapshot.sh `cat commitid`
Source0:    aemu-%{gitdate}.tar.xz
Source1:    make-git-snapshot.sh
Source2:    LICENSE-2.0.txt

BuildRequires:  cmake
BuildRequires:  gcc-c++

ExcludeArch:    %{ix86} %{power64} s390x


%description
Android developper library for emulators.

%package devel
Summary: AEMU development files
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkg-config%{_isa}

%description devel
AEMU development files, used by gfxstream to build against.


%prep
%autosetup -n %{name}-%{gitdate} -p1
cp %{SOURCE2} .

%build
%cmake \
       -DAEMU_COMMON_GEN_PKGCONFIG=ON \
       -DAEMU_COMMON_BUILD_CONFIG=gfxstream \
       -DENABLE_VKCEREAL_TESTS=OFF

%cmake_build

%install
%cmake_install


%files
%doc README.md
%license LICENSE-2.0.txt
%{_libdir}/libaemu-*.so.0*

%files devel
%dir %{_includedir}/aemu/
%{_includedir}/aemu/*
%{_libdir}/libaemu-*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Tue Sep 12 2023 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.1.2-1.20231002gitd6e6b99b
- Initial packaging (rhbz#2241701)
